summaryrefslogtreecommitdiffstats
path: root/system/dymo-cups-drivers
diff options
context:
space:
mode:
Diffstat (limited to 'system/dymo-cups-drivers')
-rw-r--r--system/dymo-cups-drivers/README11
-rw-r--r--system/dymo-cups-drivers/dymo-cups-drivers.SlackBuild99
-rw-r--r--system/dymo-cups-drivers/dymo-cups-drivers.info10
-rw-r--r--system/dymo-cups-drivers/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/system/dymo-cups-drivers/README b/system/dymo-cups-drivers/README
new file mode 100644
index 0000000000..1621093dce
--- /dev/null
+++ b/system/dymo-cups-drivers/README
@@ -0,0 +1,11 @@
+dymo-cups-drivers (CUPS drivers and filters for DYMO Label Printers)
+
+Supported DYMO label makers and printers:
+LabelMANAGER 400, LabelMANAGER 450, LabelMANAGER PC,
+LabelMANAGER PC II, LabelManager PnP, LabelPOINT 350, LabelWriter 300
+LabelWriter 310, LabelWriter 315, LabelWriter 320, LabelWriter 330,
+LabelWriter 330 Turbo, LabelWriter 400, LabelWriter 400 Turbo,
+LabelWriter 450, LabelWriter 450 DUO Label, LabelWriter 450 DUO Tape,
+LabelWriter 450 Turbo, LabelWriter 450 Twin Turbo, LabelWriter 4XL,
+LabelWriter DUO Label, LabelWriter DUO Tape,
+LabelWriter DUO Tape 128, LabelWriter SE450, LabelWriter Twin Turbo.
diff --git a/system/dymo-cups-drivers/dymo-cups-drivers.SlackBuild b/system/dymo-cups-drivers/dymo-cups-drivers.SlackBuild
new file mode 100644
index 0000000000..d75cb09fca
--- /dev/null
+++ b/system/dymo-cups-drivers/dymo-cups-drivers.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for DYMO Label SDK and CUPS Drivers
+
+# Copyright (c) 2015-2016 Thomas Szteliga <ts@websafe.pl>, Opole, PL
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=dymo-cups-drivers
+VERSION=${VERSION:-1.4.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-1.4.0.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LICENSE README docs/DYMO_SDK_for_Linux.rtf \
+ docs/{SAMPLES,TestImage.png,longtest.txt,test.ps,test.txt,testprint.ps} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/dymo-cups-drivers/dymo-cups-drivers.info b/system/dymo-cups-drivers/dymo-cups-drivers.info
new file mode 100644
index 0000000000..7ae50f6c00
--- /dev/null
+++ b/system/dymo-cups-drivers/dymo-cups-drivers.info
@@ -0,0 +1,10 @@
+PRGNAM="dymo-cups-drivers"
+VERSION="1.4.0.5"
+HOMEPAGE="http://www.dymo.com/en-US/dymo-label-sdk-and-cups-drivers-for-linux-dymo-label-sdk-cups-linux-p--1"
+DOWNLOAD="http://download.dymo.com/dymo/Software/Download%20Drivers/Linux/Download/dymo-cups-drivers-1.4.0.tar.gz"
+MD5SUM="8774f98bbe8d57f5b337019ae86a23f0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thomas Szteliga"
+EMAIL="ts@websafe.pl"
diff --git a/system/dymo-cups-drivers/slack-desc b/system/dymo-cups-drivers/slack-desc
new file mode 100644
index 0000000000..2fa0f2f5f1
--- /dev/null
+++ b/system/dymo-cups-drivers/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dymo-cups-drivers: dymo-cups-drivers (CUPS drivers and filters for DYMO Label Printers)
+dymo-cups-drivers:
+dymo-cups-drivers: Supported DYMO label makers and printers:
+dymo-cups-drivers: LabelMANAGER 400, LabelMANAGER 450, LabelMANAGER PC,
+dymo-cups-drivers: LabelMANAGER PC II, LabelManager PnP, LabelPOINT 350, LabelWriter 300
+dymo-cups-drivers: LabelWriter 310, LabelWriter 315, LabelWriter 320, LabelWriter 330,
+dymo-cups-drivers: LabelWriter 330 Turbo, LabelWriter 400, LabelWriter 400 Turbo,
+dymo-cups-drivers: LabelWriter 450, LabelWriter 450 DUO Label, LabelWriter 450 DUO Tape,
+dymo-cups-drivers: LabelWriter 450 Turbo, LabelWriter 450 Twin Turbo, LabelWriter 4XL,
+dymo-cups-drivers: LabelWriter DUO Label, LabelWriter DUO Tape,
+dymo-cups-drivers: LabelWriter DUO Tape 128, LabelWriter SE450, LabelWriter Twin Turbo.